## JSCVersion JSCVersion — Provides the JavaScriptCore version |

## Functions

guint | jsc_get_major_version ()
guint | jsc_get_minor_version ()
guint | jsc_get_micro_version ()
#define | JSC_CHECK_VERSION()

## Types and Values

#define | JSC_MAJOR_VERSION
#define | JSC_MINOR_VERSION
#define | JSC_MICRO_VERSION

## Description

Provides convenience functions returning JavaScriptCore's major, minor and micro versions of the JavaScriptCore library your code is running against. This is not necessarily the same as the JSC_MAJOR_VERSION, JSC_MINOR_VERSION or JSC_MICRO_VERSION, which represent the version of the JavaScriptCore headers included when compiling the code.

## Functions

### jsc_get_major_version ()

    guint
    jsc_get_major_version (void);

Returns the major version number of the JavaScriptCore library. (e.g. in JavaScriptCore version 1.8.3 this is 1.)

This function is in the library, so it represents the JavaScriptCore library your code is running against. Contrast with the JSC_MAJOR_VERSION macro, which represents the major version of the JavaScriptCore headers you have included when compiling your code.

#### Returns

the major version number of the JavaScriptCore library

### jsc_get_minor_version ()

    guint
    jsc_get_minor_version (void);

Returns the minor version number of the JavaScriptCore library. (e.g. in JavaScriptCore version 1.8.3 this is 8.)

This function is in the library, so it represents the JavaScriptCore library your code is running against. Contrast with the JSC_MINOR_VERSION macro, which represents the minor version of the JavaScriptCore headers you have included when compiling your code.

#### Returns

the minor version number of the JavaScriptCore library

### jsc_get_micro_version ()

    guint
    jsc_get_micro_version (void);

Returns the micro version number of the JavaScriptCore library. (e.g. in JavaScriptCore version 1.8.3 this is 3.)

This function is in the library, so it represents the JavaScriptCore library your code is running against. Contrast with the JSC_MICRO_VERSION macro, which represents the micro version of the JavaScriptCore headers you have included when compiling your code.

#### Returns

the micro version number of the JavaScriptCore library

### JSC_CHECK_VERSION()

    #define             JSC_CHECK_VERSION(major, minor, micro)

## Types and Values

### JSC_MAJOR_VERSION

    #define JSC_MAJOR_VERSION (2)

### JSC_MINOR_VERSION

    #define JSC_MINOR_VERSION (25)

### JSC_MICRO_VERSION

    #define JSC_MICRO_VERSION (1)